#include<iostream>

using namespace std;

int main(){
	
long n,k,x[100000],i,k1,j,u=0;

cin >> n >> k;	
	
for(i=0;i<n;i++){
cin >> x[i];
}
	
for(i=0;i<n;i++){
	
	for(j=i;j<n;j++){

		for(k1=i;k1<=j;k1++)
			u=u+x[k1];
	
	}
	

}
	
	
cout << u << endl;	
	
return 0;	
}